apiVersion: argoproj.io/v1alpha1
kind: Application
metadata:
  name: foobar
  namespace: argocd
spec:
  project: default
  source:
    repoURL: 'git@git.k-space.ee:k-space/kube.git'
    path: foobar
    targetRevision: HEAD
  destination:
    server: 'https://kubernetes.default.svc'
    namespace: foobar
  syncPolicy:
    syncOptions:
      - CreateNamespace=true
